require "config"
require "defines"
function init()
	if not global.deadPlayers then
		global.deadPlayers = {}
		end
		
	if Botstart == true then
	for i, index in pairs (game.forces) do
	local force = game.forces[i]

		force.logistic_robot_speed_modifier = 3	
		force.technologies["automated-construction"].researched = true
		
	end
	end
		
		
end

game.on_init(init)
game.on_load(init)

game.on_event(defines.events.on_player_created, function(event)
	local player = game.get_player(event.player_index)
			give_armour(player)
			give_gear(player)
			
			
			if Quickstart == true then
			give_quickstart(player)
			end
			end)


 game.on_event(defines.events.on_tick, function(event)

		for i, value in pairs(global.deadPlayers) do
	local player = game.players[i]
   		if player.character then	
					give_armour(player)
					give_gear(player)
				  
   			global.deadPlayers[i] = nil
   		end
		end
		
		end)
		




game.on_event(defines.events.on_entity_died, function(event)
	if event.entity.type == "player" then
  		
			for i, player in ipairs(game.players) do
			if not player.character and not global.deadPlayers[i] then
			global.deadPlayers[i] = true
	
			end
			
     
      end
	
end
end)

function give_gear(player)

				player.insert{name="iron-plate", count=100}
				player.insert{name="electronic-circuit", count=200}
				player.insert{name="steel-plate", count=50}
				player.insert{name="copper-plate", count=50}
				player.insert{name="iron-gear-wheel", count=50}
				player.insert{name="stone", count=50}

				player.insert{name="steel-axe", count=3}				  
				player.insert{name="submachine-gun", count=1}
				player.insert{name="piercing-bullet-magazine", count=50}  
				player.insert{name="combat-shotgun", count=1}
				player.insert{name="piercing-shotgun-shell", count=50}  

end

function give_quickstart(player)
				player.insert{name="burner-inserter", count=50}
				player.insert{name="basic-inserter", count=30}
				player.insert{name="basic-transport-belt", count=200}
				player.insert{name="small-electric-pole", count=20}
				player.insert{name="basic-mining-drill", count=20}
				player.insert{name="stone-furnace", count=35}
				player.insert{name="assembling-machine-1", count=20}

end


function give_armour(player)
		if ArmourType == 1 then
	player.insert{name="basic-armor", count=1}
		end
		
		if ArmourType == 2 then
	player.insert{name="heavy-armor", count=1}
		end
		
	if ArmourType == 3 then
				player.insert{name="basic-modular-armor", count=1}
				player.insert{name="solar-panel-equipment", count=9}
				player.insert{name="energy-shield-equipment", count=2}
				player.insert{name="basic-exoskeleton-equipment", count = 1}
		end
		
	if ArmourType == 4 then
				player.insert{name="power-armor", count = 1}
				player.insert{name="fusion-reactor-equipment", count = 1}
				player.insert{name="energy-shield-mk2-equipment", count = 2}				
				player.insert{name="basic-exoskeleton-equipment", count = 1}				
			if player.force.technologies["automated-construction"].researched == true then
				player.insert{name="personal-roboport-equipment", count = 1}
				player.insert{name="construction-robot", count = 10}
				player.insert{name="blueprint", count = 2}
				player.insert{name="deconstruction-planner", count = 1}
			end
		end
		
	if ArmourType == 5 then
				player.insert{name="power-armor-mk2", count = 1}
				player.insert{name="fusion-reactor-equipment", count = 3}
				player.insert{name="energy-shield-mk2-equipment", count = 8}				
				player.insert{name="basic-exoskeleton-equipment", count = 5}				
				if player.force.technologies["automated-construction"].researched == true then
				player.insert{name="personal-roboport-equipment", count = 5}
				player.insert{name="construction-robot", count = 50}
				player.insert{name="blueprint", count = 2}
				player.insert{name="deconstruction-planner", count = 1}
				end
	end
	
end








